## org.apache.cassandra.service
Enum AntiEntropyService.Status

    java.lang.Object
      java.lang.Enum<AntiEntropyService.Status>
          org.apache.cassandra.service.AntiEntropyService.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AntiEntropyService.Status>

Enclosing class:
  AntiEntropyService

    public static enum AntiEntropyService.Status

extends java.lang.Enum<AntiEntropyService.Status>

Enum Constant Summary
`FINISHED`
`SESSION_FAILED`
`SESSION_SUCCESS`
`STARTED`

Method Summary
`static AntiEntropyService.Status` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AntiEntropyService.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STARTED

    public static final AntiEntropyService.Status STARTED

### SESSION_SUCCESS

    public static final AntiEntropyService.Status SESSION_SUCCESS

### SESSION_FAILED

    public static final AntiEntropyService.Status SESSION_FAILED

### FINISHED

    public static final AntiEntropyService.Status FINISHED

Method Detail

### values

    public static AntiEntropyService.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AntiEntropyService.Status c : AntiEntropyService.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AntiEntropyService.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2013 The Apache Software Foundation